<!DOCTYPE html>
<html lang="en" th:replace="common/masterpage :: masterpage(~{}, ~{::page}, ~{})" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <div class="ui main container" th:fragment="page">
    <h2 class="ui header">
      <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_SCHEDULES}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
      <span class="content" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_SCHEDULES}}"></span>
    </h2>
    <br />
    <div th:if="${not #lists.isEmpty(schedules)}">
      <table class="ui table" id="schedules" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}">
        <thead>
          <tr>
            <th th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NAME}}"></th>
            <th th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_STATUS}}"></th>
          </tr>
        </thead>
        <tbody>
          <tr th:each="schedule : ${schedules}">
            <td>
            	<a sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_SCHEDULES_UPDATE)" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_SCHEDULES_UPDATE} + '/' + ${schedule.id}}" th:text="${schedule.name}"></a>
            	<span sec:authorize="not hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_SCHEDULES_UPDATE)" th:text="${schedule.name}"></span>	
           	</td>
            <td th:text="${schedule.compensationDays}"></td>
          </tr>
        </tbody>
      </table>
    </div>
    <br />
    <th:block sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_SCHEDULES_CREATE)"
    			th:replace="common/fragments/form :: actionbuttons(icon1 = null,
                                                             icon1text = null,
                                                             icon1url = null,
                                                             icon2 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_NEW},
                                                             icon2text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_NEW},
                                                             icon2url = ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_SCHEDULES_CREATE},
                                                             )" />
  </div>
</body>
</html>
